Page MenuHomePhabricator

Make it easier to move from contact deleted by merge to the contact they were merged to
Closed, ResolvedPublic

Description

Current user flow:
In activity list, the the contact ID and contribution IDs need to be highlighted and copy/pasted to follow them.

Some solution:
We should have some link to the contact that is easily clickable instead of the current copy/paste insanity.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 8:52 PM
DStrine updated the task description. (Show Details)Oct 11 2017, 9:10 PM
mepps claimed this task.Oct 26 2017, 2:07 PM
mepps added a subscriber: Ejegg.Oct 26 2017, 2:40 PM

@Eileenmcnaughton @Ejegg I'm wondering if we can hijack the assigned field for this. If the activity is assigned to the new contact, then it's one click. It's a tiny bit hacky but it also makes sense in a funny way.

mepps added a comment.Oct 26 2017, 2:41 PM

However, when I merge in a clean civi install, I go straight to the new, merged contact and not the deleted contact. Is this something special in our code base routing users to the deleted contact?

Change 386624 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm/civicrm@master] With undelete true, make only one activity with new contact as assignee

https://gerrit.wikimedia.org/r/386624

Change 387311 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] WIP Script to update old activities

https://gerrit.wikimedia.org/r/387311

Change 386624 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] When undelete is true, add new contact as assignee for merged contact activity record

https://gerrit.wikimedia.org/r/386624

Change 387311 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Script to update old activities

https://gerrit.wikimedia.org/r/387311

I've logged this for upstreaming purposes https://issues.civicrm.org/jira/browse/CRM-21415 - just trying to get my head around whether there are concerns for upstreaming it

Hmm - I'm finding it hard to make the case for upstreaming this because it does look kinda odd having 2 visible activities on the contact. I feel like I need to canvas some more opinions on it

This is all set on production - new merge activities get the link, and old merges have been backfilled.

mepps closed this task as Resolved.Nov 22 2017, 3:40 PM
mepps moved this task from Backlog to Done on the Fundraising Sprint Winter Wanderland board.

Change 410385 had a related patch set uploaded (by Eileen; owner: Mepps):
[wikimedia/fundraising/crm/civicrm@master] When undelete is true, add new contact as assignee for merged contact activity record

https://gerrit.wikimedia.org/r/410385

Change 410385 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] When undelete is true, add new contact as assignee for merged contact activity record

https://gerrit.wikimedia.org/r/410385